Package com.arms.api.globaltreemap.dao

## Class GlobalContentsTreeMapRepository

- java.lang.Object
- - com.arms.api.globaltreemap.dao.GlobalContentsTreeMapRepository

-     @Repository
      public class GlobalContentsTreeMapRepository
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalContentsTreeMapRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​(java.lang.Long map_key)` |
    `void` | `deleteAll​(java.util.List<GlobalContentsTreeMapEntity> GlobalContentsTreeMapEntity)` |
    `void` | `deleteByFileLink​(java.lang.Long value)` |
    `void` | `deleteByPdServiceDetailLink​(java.lang.Long value)` |
    `void` | `deleteByPdServiceLink​(java.lang.Long value)` |
    `java.util.List<GlobalContentsTreeMapEntity>` | `findAllBy​(org.springframework.data.jpa.domain.Specification<GlobalContentsTreeMapEntity> specification)` |
    `GlobalContentsTreeMapEntity` | `findById​(java.lang.Long map_key)` |
    `GlobalContentsTreeMapEntity` | `save​(GlobalContentsTreeMapEntity globalTreeMapEntities)` |
    `java.util.List<GlobalContentsTreeMapEntity>` | `saveAll​(java.util.List<GlobalContentsTreeMapEntity> GlobalContentsTreeMapEntity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalContentsTreeMapRepository

          public GlobalContentsTreeMapRepository()

  - ### Method Detail

    - #### saveAll

          public java.util.List<GlobalContentsTreeMapEntity> saveAll​(java.util.List<GlobalContentsTreeMapEntity> GlobalContentsTreeMapEntity)

    - #### deleteAll

          public void deleteAll​(java.util.List<GlobalContentsTreeMapEntity> GlobalContentsTreeMapEntity)

    - #### delete

          public void delete​(java.lang.Long map_key)

    - #### findById

          public GlobalContentsTreeMapEntity findById​(java.lang.Long map_key)

    - #### findAllBy

          public java.util.List<GlobalContentsTreeMapEntity> findAllBy​(org.springframework.data.jpa.domain.Specification<GlobalContentsTreeMapEntity> specification)

    - #### save

          public GlobalContentsTreeMapEntity save​(GlobalContentsTreeMapEntity globalTreeMapEntities)

    - #### deleteByFileLink

          public void deleteByFileLink​(java.lang.Long value)

    - #### deleteByPdServiceLink

          public void deleteByPdServiceLink​(java.lang.Long value)

    - #### deleteByPdServiceDetailLink

          public void deleteByPdServiceDetailLink​(java.lang.Long value)